Atk::Attribute Class Reference

`#include <atkmm/text.h>`

## Public Member Functions

| Attribute ()
| Attribute (const Glib::ustring& name, const Glib::ustring& value)
| Attribute (const AtkAttribute* gobject)
| ~Attribute ()
| Attribute (const Attribute& other)
Attribute& | operator= (const Attribute& other)
void | swap (Attribute& other)
Glib::ustring | get_name () const
Glib::ustring | get_value () const
AtkAttribute* | gobj ()
| Provides access to the underlying C GObject. More...
const AtkAttribute* | gobj () const
| Provides access to the underlying C GObject. More...

## Protected Attributes

AtkAttribute | gobject_

## Related Functions

(Note that these are not member functions.)
void | swap (Attribute& lhs, Attribute& rhs)

## Constructor & Destructor Documentation

## Attribute() [1/4]

Atk::Attribute::Attribute | ( |  | ) |

## Attribute() [2/4]

Atk::Attribute::Attribute | ( | const Glib::ustring & | name,
|  | const Glib::ustring & | value
| ) |  |

## Attribute() [3/4]

Atk::Attribute::Attribute | ( | const AtkAttribute * | gobject | ) |

explicit

## ~Attribute()

Atk::Attribute::~Attribute | ( |  | ) |

## Attribute() [4/4]

Atk::Attribute::Attribute | ( | const Attribute& | other | ) |

## Member Function Documentation

## get_name()

Glib::ustring Atk::Attribute::get_name | ( |  | ) | const

## get_value()

Glib::ustring Atk::Attribute::get_value | ( |  | ) | const

## gobj() [1/2]

AtkAttribute* Atk::Attribute::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkAttribute* Atk::Attribute::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## operator=()

Attribute& Atk::Attribute::operator= | ( | const Attribute& | other | ) |

## swap()

void Atk::Attribute::swap | ( | Attribute& | other | ) |

## Friends And Related Function Documentation

## swap()

void swap | ( | Attribute& | lhs,
|  | Attribute& | rhs
| ) |  |

related

## Member Data Documentation

## gobject_

AtkAttribute Atk::Attribute::gobject_

protected